Unele aplicatii nu vor functiona pe OS X 10.9.5 Mavericks si OS X Yosemite. Iata de ce

0
195

screen-shot-2014-08-04-at-2-51-23-pm

Saptamana trecuta compania Apple lansa pentru dezvoltatorii de aplicatii, prima versiune beta a OS X 10.9.5 Mavericks, iar in cursul noptii trecute a publicat, tot pe portalul dedicat dezvoltatorilor, cea de-a 5-a versiune beta a OS X Yosemite, ambele venind cu diferite corecturi de probleme, imbunatatiri si functii noi fata de versiunile precedente. Ceea ce nu a fost specificat, insa, de catre Apple, pana acum, este ca sistemul de securitate al OS X, Gatekeeper, a fost modificat si el.

Aceasta modificare a sistemului de securitate prevede ca aplicatiile create si semnate pe o versiune a OS X mai veche de 10.9 sa fie marcate de catre Gatekeeper pe motiv ca nu au cea mai recenta semnatura pentru a rula pe sistemul de operare. Asta inseamna, ca mai multi dezvoltatori vor trebui sa isi semneze din nou aplicatiile si sa trimita versiunile actualizate ale aplicatiilor pe App Store, astfel incat sistemul de operare pentru Mac sa le permita in continuare rularea pe computerele cu Mavericks si Yosemite.

Cea mai importanta problema va fi resimitia de utilizatori care, dupa actualizare la OS X 10.9.5 sau OS X 10.10 vor descoperi ca anumite aplicatii de la terti – mai ales cele descarcate de pe web – nu functioneaza. Desigur, multiple aplicatii de pe web au primit si ele actualizari, insa descoperirea si descarcarea lor pe Mac-uri este ceva mai dificila, dar totusi obligatorie in conditiile in care nu vor mai functiona. Aplicatiile descarcate de pe App Store pot fi actualizate de pe acelasi magazin, accesand sectiunea Updates, exact ca si pe iOS.

Trebuie stiut, insa, ca unele dintre aplicatiile care au rulat pana acum pe OS X Mavericks, insa pe care Gatekeeper nu le va mai accepta pe OS X 10.9.5 si OS X 10.10 din cauza semnaturilor invechite, vor putea fi deschise ocolind atentionarile si sistemul de securitate printr-un simplu clic dreapta urmat de un clic pe butonul Deschide.

Aplicatiile ale caror semnaturi vor fi actualizate pentru OS X 10.9 (si versiunile ulterioare) vor functiona, potrivit Apple, fara probleme si pe versiounile vechi ale OS X, deci este putin probabil ca actualizarile lor sa creeze probleme de compatibilitate doar din cauza acestei schimbari. La fel ca si pe iOS, decizia Apple de a obliga dezvoltatorii sa isi actualizeze toate aplicatiile este una logica, intrucat compania americana trebuie sa se asigure ca un numar cat mai mare de aplicatii pot rula fara probleme pe cea mai recenta versiune a sistemului de operare.

- Reclamă -